<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.0.4/socket.io.js"></script>
    <nav class="navbar navbar-expand-lg navbar-light bg-light d-flex flex-row-reverse ">
        <a class="navbar-brand" href="#">Wecoo</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse " id="navbarNav">
            <ul class="navbar-nav float-right">
                <li class="nav-item active">
                    <a class="nav-link" href="http://localhost:8800/government/all_government">ادخال محافظات<span
                            class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="http://localhost:8800/city/all_city">ادخل مراكز</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="http://localhost:8800/council/all_council">ادخال مجلس مدينه</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="http://localhost:8800/area/all_area">ادخال قري</a>
                </li>
            </ul>
        </div>
    </nav>
    <div class="container">
        <div class="row d-flex flex-row-reverse m-2">
            <!-- Button trigger modal -->
            <button type="button" id="areaModel" class="btn btn-primary" data-toggle="modal"
                data-target="#exampleModal">
                اضافه قريه
            </button>

            <!-- Modal -->
            <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">اضافه قريه</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form>
                                <div class="form-group">
                                    <label for="areaName">اسم القريه</label>
                                    <input type="text" class="form-control" id="areaName" name="govName"
                                        placeholder="ادخل اسم القريه">
                                    <p id='errMsg' class="text-danger"></p>
                                </div>
                                <div class="form-group">
                                    <label for="areaList">اسم المجلس التابع ليه</label>
                                    <select class="browser-default custom-select" id="areaList">
                                        <option value="" disabled selected>Choose your option</option>

                                    </select>
                                    <p id='errMsg2' class="text-danger"></p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                    <button type="button" id='saveArea' class="btn btn-primary">حفظ</button>
                                </div>
                            </form>



                        </div>


                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <table class="table ">
                <thead>
                    <tr>
                        <th scope="col" class="text-center">ازاله المجلس</th>
                        <th scope="col" class="text-center">اسم المجلس</th>
                        <th scope="col" class="text-center">التسلسل</th>



                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>
    </div>

    <script>
        $(document).ready(function () {
            var socket = io();


            socket.emit('allArea');




            $(this).click(function (event) {

                $.post("http://localhost:8800/area/delete_area", { areaId: event.target.id }, function (data) {
                    if (data === 'area is deleted') {
                        console.log('in socket');

                        socket.emit('allArea');
                        socket.on('allArea', function (msg) {
                            $('table tbody tr').remove();
                            $.each(msg, function (key, value) {
                                var num = key + 1;
                                var getData = "<tr><td class='text-center '><button class='btn btn-danger' id=" + value.id + "  type='button'>ازاله</button></td><td class='text-center'>" + value.name + "</td><td class='text-center'>" + num + "</td><tr>";
                                $("table tbody").append(getData);
                                console.log(value.name + " " + key);
                            });
                        });
                    }
                });




                console.log(event.target.id);
                //    console.log(value);
            });
            socket.on('allArea', function (msg) {
                $('table tbody tr').remove();

                $.each(msg, function (key, value) {

                    var num = key + 1;
                    var getData = "<tr><td class='text-center '><button class='btn btn-danger' id=" + value.id + "  type='button'>ازاله</button></td><td class='text-center'>" + value.name + "</td><td class='text-center'>" + num + "</td><tr>";
                    $("table tbody").append(getData);
                    console.log(value.name + " " + key);
                });
            });
            $('#areaModel').click(function () {
                socket.emit('allCouncil');
                socket.on('allCouncil', function (msg) {
                    $('table tbody tr').remove();

                    $.each(msg, function (key, value) {

                        $('#areaList').append(new Option(value.name, value.id))
                    });
                });
            });


            $('#saveArea').click(function () {
                let areaName = $('#areaName').val();
                let areaList = $('#areaList').val();
                if (areaName == "" || areaList == "") {
                    $('#errMsg').html('برجاءادخال اسم المجلس او القريه');
                }
                else {
                    console.log(areaName);
                    // $(".modal").modal('hide');
                    $(".form-control").html("");
                    $.post("http://localhost:8800/area/insert", { areaName: areaName, councilId: areaList }, function (data) {



                        socket.emit('allArea');
                        socket.on('allArea', function (msg) {
                            $('table tbody tr').remove();
                            $.each(msg, function (key, value) {
                                var num = key + 1;
                                var getData = "<tr><td class='text-center '><button class='btn btn-danger' id=" + value.id + "  type='button'>ازاله</button></td><td class='text-center'>" + value.name + "</td><td class='text-center'>" + num + "</td><tr>";
                                $("table tbody").append(getData);
                                console.log(value.name + " " + key);
                            });
                        });
                    }
                    );
                }

            });

        });
    </script>
    </body>

</html>